function matA = mat(A,m,n)
% matA = mat(A,m,n)
% Takes vector A and produces an m-by-n matrix matA by columnizing
% the vector A.

if (~isvector(A))
    error('Input argument A not a vector.');
    return;
end

if (length(A) ~= m*n)
    error('length(A) != m*n.');
    return;
end

matA = reshape(A,m,n);

end